services:
    ko8sgcc0ck0c04kw4ggwwwkg-084140701638:
        image: 'ko8sgcc0ck0c04kw4ggwwwkg:e4880efcbf2eb2b7ca9264597ae0371f6af6cb9d'
        container_name: ko8sgcc0ck0c04kw4ggwwwkg-084140701638
        restart: unless-stopped
        expose:
            - '3000'
        networks:
            coolify:
                aliases:
                    - ko8sgcc0ck0c04kw4ggwwwkg-084140701638
        mem_limit: '0'
        memswap_limit: '0'
        mem_swappiness: 60
        mem_reservation: '0'
        cpus: 0.0
        cpu_shares: 1024
        env_file:
            - .env
        healthcheck:
            test:
                - CMD-SHELL
                - 'curl -s -X GET -f http://localhost:3000/api/health/check > /dev/null || wget -q -O- http://localhost:3000/api/health/check > /dev/null || exit 1'
            interval: 60s
            timeout: 5s
            retries: 10
            start_period: 20s
        labels:
            - traefik.enable=true
            - traefik.http.middlewares.gzip.compress=true
            - traefik.http.middlewares.redirect-to-https.redirectscheme.scheme=https
            - traefik.http.routers.http-0-ko8sgcc0ck0c04kw4ggwwwkg.entryPoints=http
            - traefik.http.routers.http-0-ko8sgcc0ck0c04kw4ggwwwkg.middlewares=redirect-to-https
            - 'traefik.http.routers.http-0-ko8sgcc0ck0c04kw4ggwwwkg.rule=Host(`jld-gicnet.shoppingbuilders.com`) && PathPrefix(`/`)'
            - traefik.http.routers.http-0-ko8sgcc0ck0c04kw4ggwwwkg.service=http-0-ko8sgcc0ck0c04kw4ggwwwkg
            - traefik.http.routers.https-0-ko8sgcc0ck0c04kw4ggwwwkg.entryPoints=https
            - traefik.http.routers.https-0-ko8sgcc0ck0c04kw4ggwwwkg.middlewares=gzip
            - 'traefik.http.routers.https-0-ko8sgcc0ck0c04kw4ggwwwkg.rule=Host(`jld-gicnet.shoppingbuilders.com`) && PathPrefix(`/`)'
            - traefik.http.routers.https-0-ko8sgcc0ck0c04kw4ggwwwkg.service=https-0-ko8sgcc0ck0c04kw4ggwwwkg
            - traefik.http.routers.https-0-ko8sgcc0ck0c04kw4ggwwwkg.tls.certresolver=letsencrypt
            - traefik.http.routers.https-0-ko8sgcc0ck0c04kw4ggwwwkg.tls=true
            - traefik.http.services.http-0-ko8sgcc0ck0c04kw4ggwwwkg.loadbalancer.server.port=3000
            - traefik.http.services.https-0-ko8sgcc0ck0c04kw4ggwwwkg.loadbalancer.server.port=3000
            - 'caddy_0.encode=zstd gzip'
            - 'caddy_0.handle_path.0_reverse_proxy={{upstreams 3000}}'
            - 'caddy_0.handle_path=/*'
            - caddy_0.header=-Server
            - 'caddy_0.try_files={path} /index.html /index.php'
            - 'caddy_0=https://jld-gicnet.shoppingbuilders.com'
            - caddy_ingress_network=coolify
            - coolify.managed=true
            - coolify.version=4.0.0-beta.418
            - coolify.applicationId=2
            - coolify.type=application
            - coolify.name=ko8sgcc0ck0c04kw4ggwwwkg
            - coolify.resourceName=shopping-buildersjld-gicnetmain-ko8sgcc0ck0c04kw4ggwwwkg
            - coolify.projectName=jld-gicnet
            - coolify.serviceName=shopping-buildersjld-gicnetmain-ko8sgcc0ck0c04kw4ggwwwkg
            - coolify.environmentName=production
            - coolify.pullRequestId=0
networks:
    coolify:
        external: true
        name: coolify
        attachable: true
